<?php
session_start();
if (!isset($_SESSION['username']) || !$_SESSION['is_admin']) {
    header("Location: login_form.php");
    exit();
}

require('mysqli_connect.php');

$message = "";

// Handle form submission
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = trim($_POST['name']);
    $category = trim($_POST['category']);
    $price = floatval($_POST['price']);
    $quantity = intval($_POST['quantity']);
    $description = trim($_POST['description']);

    $query = "INSERT INTO products (name, category, price, quantity, description)
              VALUES (?, ?, ?, ?, ?)";
    $stmt = mysqli_prepare($dbc, $query);
    mysqli_stmt_bind_param($stmt, "ssdiss", $name, $category, $price, $quantity, $description);

    if (mysqli_stmt_execute($stmt)) {
        $message = "✅ Product added successfully!";
    } else {
        $message = "❌ Error adding product.";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Add Product – Admin</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h2>Add New Product</h2>

        <div class="nav">
            <a href="admin_home.php">Back to Admin Dashboard</a> |
            <a href="logout.php">Logout</a>
        </div>

        <?php if ($message) echo "<p class='message'>$message</p>"; ?>

        <form method="post" class="form-box">
            <label>Name:<br><input type="text" name="name" required></label><br><br>
            <label>Category:<br><input type="text" name="category" required></label><br><br>
            <label>Price:<br><input type="number" step="0.01" name="price" required></label><br><br>
            <label>Quantity:<br><input type="number" name="quantity" required></label><br><br>
            <label>Description:<br><textarea name="description" rows="4" required></textarea></label><br><br>
            <button type="submit">Add Product</button>
        </form>
    </div>
</body>
</html>
