<?php
session_start();
require('mysqli_connect.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = trim($_POST['username']);
    $password = trim($_POST['password']);

    $query = "SELECT * FROM users WHERE username = ?";
    $stmt = mysqli_prepare($dbc, $query);
    mysqli_stmt_bind_param($stmt, "s", $username);
    mysqli_stmt_execute($stmt);
    $result = mysqli_stmt_get_result($stmt);

    if ($result && mysqli_num_rows($result) === 1) {
        $user = mysqli_fetch_assoc($result);

        if (password_verify($password, $user['password'])) {
            $_SESSION['username'] = $user['username'];
            $_SESSION['is_admin'] = $user['is_admin'];

            // Redirect to the correct directory
            header("Location: /finalproject/" . ($user['is_admin'] ? "admin_home.php" : "user_home.php"));
            exit();
        }
    }

    // Failed login
    header("Location: /finalproject/login_form.php?error=1");
    exit();
} else {
    header("Location: /finalproject/login_form.php");
    exit();
}

