<?php
session_start();
if (!isset($_SESSION['username'])) {
    header("Location: login_form.php");
    exit();
}

require('mysqli_connect.php');

$category = $_GET['category'] ?? '';
$min = $_GET['min_price'] ?? 0;
$max = $_GET['max_price'] ?? 99999;
$keyword = $_GET['keyword'] ?? '';

$sql = "SELECT * FROM products WHERE 
        category LIKE ? AND 
        price BETWEEN ? AND ? AND 
        (name LIKE ? OR description LIKE ?)";
        
$stmt = mysqli_prepare($dbc, $sql);
$wild_category = '%' . $category . '%';
$wild_keyword = '%' . $keyword . '%';
mysqli_stmt_bind_param($stmt, "sddss", $wild_category, $min, $max, $wild_keyword, $wild_keyword);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

// Add to cart logic
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['product_id'])) {
    $id = $_POST['product_id'];
    $_SESSION['cart'][] = $id;
    header("Location: cart.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Results – SimpleShop</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
<div class="container">
    <h2>Search Results</h2>
    <a href="search_products.php">Back to Search</a> | <a href="cart.php">View Cart</a><br><br>

    <?php if (mysqli_num_rows($result) > 0): ?>
        <?php while ($row = mysqli_fetch_assoc($result)): ?>
            <div class="card">
                <h3><?php echo htmlspecialchars($row['name']); ?></h3>
                <p><strong>Category:</strong> <?php echo htmlspecialchars($row['category']); ?></p>
                <p><strong>Price:</strong> $<?php echo $row['price']; ?></p>
                <p><strong>Quantity:</strong> <?php echo $row['quantity']; ?></p>
                <p><?php echo nl2br(htmlspecialchars($row['description'])); ?></p>
                <form method="post">
                    <input type="hidden" name="product_id" value="<?php echo $row['id']; ?>">
                    <button type="submit">Add to Cart</button>
                </form>
            </div>
        <?php endwhile; ?>
    <?php else: ?>
        <p>No products found.</p>
    <?php endif; ?>
</div>
</body>
</html>
